addGeneGrps {maigesPack} | R Documentation

## Function to load gene groups into maigesPreRaw object

### Description

This function read a directory and read files containing the genes for specific gene groups. This files must have one gene per line. This function stores the gene groups read in the slot `GeneGrps` into objects of class `maigesPreRaw`.

### Usage

    addGeneGrps(data, folder="./", ext=".txt")

### Arguments

`data` | object of `maigesPreRaw` class.
`folder` | char string specifying the directory of gene groups. The function tests the presence or not of the final bar.
`ext` | string giving the extension of the files, defaults to '.txt'. The function also tests the presence of the initial dot.

### Details

If the `data` object already has gene groups with names equal to some someones that are been read, the groups with repeated names are not added. Warning messages are printed for every repeated group name.

The `folder` directory must contain only one file for each gene group of interest. These files must discriminate one gene per line. The identification of the genes must be done by one of the gene labels given by `genemap` (see `loadData`).

### Value

This function returns another object of class `maigesPreRaw`, with the slot `GeneGroups` actualised.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`maigesPreRaw`, `addPaths`

### Examples

    ## Don't run because you don't have the gene sets in a readable folder.
    ## Not run:
    gastro = addGeneGrps(gastro, folder="geneGrps", ext="txt")
    ## End(Not run)

[Package maigesPack version 1.4.0 Index]